View Issue Details

IDProjectCategoryView StatusLast Update
0004243SymmetricDS ProImprovementpublic2020-04-21 15:03
Reporterjosh-a-hicksAssigned Toelong 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.9.0 
Target Version3.11.8Fixed in Version3.11.8 
Summary0004243: Ability to cancel a load with invalid request details
DescriptionIf an improper value for reload_select is entered into sym_table_reload_request or a bad combination of trigger and router into the same table exists the load will not be created. There is not a web interface to cancel this situation and allow the user to recreate a valid reload. As a result every time routing runs it attempts to construct the load and fails and creates a loop.

The work around is to update sym_table_reload_request set processed = 1 where ... (details about the load request that makes it unique).
TagsNo tags attached.

Relationships

related to 0004321 closedelong Manage->Outgoing Loads screen: Add message when max loads reached 

Activities

elong

2020-04-10 13:58

developer   ~0001696

Outgoing loads panel now shows "pending" requests from sym_table_reload_request that can be canceled. Another issue already enhanced processing of sym_table_reload_requests to automatically cancel a request that is invalid, either bad SQL or bad trigger/router combination. It is still useful to see and/or cancel pending requests while waiting for the initial load service to run, and when the max active load requests has been reached.

Issue History

Date Modified Username Field Change
2020-01-17 12:12 josh-a-hicks New Issue
2020-01-22 14:08 elong Target Version 3.11.4 => 3.11.5
2020-02-14 08:24 elong Target Version 3.11.5 => 3.11.6
2020-03-04 13:15 chenson Target Version 3.11.6 => 3.11.7
2020-03-16 16:16 admin Target Version 3.11.7 => 3.11.8
2020-04-10 13:58 elong Assigned To => elong
2020-04-10 13:58 elong Status new => resolved
2020-04-10 13:58 elong Resolution open => fixed
2020-04-10 13:58 elong Fixed in Version => 3.11.8
2020-04-10 13:58 elong Note Added: 0001696
2020-04-10 13:58 elong Relationship added related to 0004321
2020-04-21 15:03 admin Status resolved => closed